@echo off
setlocal enabledelayedexpansion
cls
set TITLE=Leitura de MAC do Albert

echo -------------------------------
echo.
echo Albert Flash V0.0
echo.
echo %TITLE%
echo.
echo -------------------------------
echo.
timeout /t 3 /nobreak >nul

echo Detectando portas...
echo.

set FOUND=0

for /f %%a in ('powershell -Command "[System.IO.Ports.SerialPort]::GetPortNames()"') do (
    echo Testando %%a ...

    esptool.exe --port %%a read_mac >nul 2>&1

    if !errorlevel! == 0 (
        set PORT=%%a
        set FOUND=1
        goto :ok
    )
)

:ok

if !FOUND! == 0 (
    echo Nenhuma porta valida encontrada!
    echo.
    echo Tente fechar Arduino IDE ou monitor serial.
    pause
    exit
)

echo.
echo Porta valida encontrada: !PORT!
echo.

esptool.exe --port !PORT! read_mac

pause